import { ContextUpdateParams } from '../../protocol/context';
import { Client } from '../client';
import { StaticFeature } from './common';
/**
 * Support for context set by the server (context/update notifications from the server).
 */
export declare class ContextFeature implements StaticFeature {
    private client;
    private setContext;
    /**
     * Context keys set by this server. To ensure that context values are cleaned up, all context properties that
     * the server set are cleared upon deinitialization. This errs on the side of clearing too much (if another
     * server set the same context keys after this server, then those keys would also be cleared when this server's
     * client deinitializes).
     */
    private keys;
    constructor(client: Client, setContext: (params: ContextUpdateParams) => void);
    readonly messages: import("../../jsonrpc2/messages").NotificationType<ContextUpdateParams, void>;
    initialize(): void;
    deinitialize(): void;
}
