import { Unsubscribable } from 'rxjs';
import { Hover } from 'vscode-languageserver-types';
import { ProvideTextDocumentHoverSignature } from '../../environment/providers/hover';
import { FeatureProviderRegistry } from '../../environment/providers/registry';
import { ClientCapabilities, ServerCapabilities, TextDocumentPositionParams, TextDocumentRegistrationOptions } from '../../protocol';
import { DocumentSelector } from '../../types/document';
import { NextSignature } from '../../types/middleware';
import { Client } from '../client';
import { Feature } from './common';
export declare type ProvideTextDocumentHoverMiddleware = NextSignature<TextDocumentPositionParams, Promise<Hover | null>>;
/**
 * Support for hover messages (textDocument/hover requests to the server).
 */
export declare class TextDocumentHoverFeature extends Feature<TextDocumentRegistrationOptions> {
    private registry;
    constructor(client: Client, registry: FeatureProviderRegistry<TextDocumentRegistrationOptions, ProvideTextDocumentHoverSignature>);
    readonly messages: import("../../jsonrpc2/messages").RequestType<TextDocumentPositionParams, Hover | null, void, TextDocumentRegistrationOptions, string>;
    fillClientCapabilities(capabilities: ClientCapabilities): void;
    initialize(capabilities: ServerCapabilities, documentSelector: DocumentSelector): void;
    protected registerProvider(options: TextDocumentRegistrationOptions): Unsubscribable;
}
