"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const protocol_1 = require("../../protocol");
/**
 * Support for server log messages (window/logMessage notifications from the server).
 */
class WindowLogMessageFeature {
    constructor(client, 
    /** Called when the client receives a window/logMessage notification. */
    logMessage) {
        this.client = client;
        this.logMessage = logMessage;
    }
    initialize() {
        // TODO(sqs): no way to unregister this
        this.client.onNotification(protocol_1.LogMessageNotification.type, this.logMessage);
    }
}
exports.WindowLogMessageFeature = WindowLogMessageFeature;
//# sourceMappingURL=logMessage.js.map