import { Observable } from 'rxjs';
import { TextDocumentIdentifier } from 'vscode-languageserver-types';
import { TextDocumentDecoration } from '../../protocol/decoration';
import { FeatureProviderRegistry } from './registry';
export declare type ProvideTextDocumentDecorationSignature = (textDocument: TextDocumentIdentifier) => Observable<TextDocumentDecoration[] | null>;
/** Provides text document decorations from all extensions. */
export declare class TextDocumentDecorationProviderRegistry extends FeatureProviderRegistry<undefined, ProvideTextDocumentDecorationSignature> {
    getDecorations(params: TextDocumentIdentifier): Observable<TextDocumentDecoration[] | null>;
}
/**
 * Returns an observable that emits all decorations whenever any of the last-emitted set of providers emits
 * decorations.
 *
 * Most callers should use TextDocumentDecorationProviderRegistry, which uses the registered decoration providers.
 */
export declare function getDecorations(providers: Observable<ProvideTextDocumentDecorationSignature[]>, params: TextDocumentIdentifier): Observable<TextDocumentDecoration[] | null>;
