import { ConfigurationCascade, ReferenceParams } from '../protocol';
import { ObservableEnvironment } from './environment';
import { Extension } from './extension';
import { CommandRegistry } from './providers/command';
import { ContributionRegistry } from './providers/contribution';
import { TextDocumentDecorationProviderRegistry } from './providers/decoration';
import { TextDocumentHoverProviderRegistry } from './providers/hover';
import { TextDocumentLocationProviderRegistry } from './providers/location';
/**
 * Registries is a container for all provider registries.
 *
 * @template X extension type
 * @template C configuration cascade type
 */
export declare class Registries<X extends Extension, C extends ConfigurationCascade> {
    private environment;
    constructor(environment: ObservableEnvironment<X, C>);
    readonly commands: CommandRegistry;
    readonly contribution: ContributionRegistry;
    readonly textDocumentDefinition: TextDocumentLocationProviderRegistry<import("../protocol/textDocument").TextDocumentPositionParams, import("vscode-languageserver-types").Location>;
    readonly textDocumentImplementation: TextDocumentLocationProviderRegistry<import("../protocol/textDocument").TextDocumentPositionParams, import("vscode-languageserver-types").Location>;
    readonly textDocumentReferences: TextDocumentLocationProviderRegistry<ReferenceParams, import("vscode-languageserver-types").Location>;
    readonly textDocumentTypeDefinition: TextDocumentLocationProviderRegistry<import("../protocol/textDocument").TextDocumentPositionParams, import("vscode-languageserver-types").Location>;
    readonly textDocumentHover: TextDocumentHoverProviderRegistry;
    readonly textDocumentDecoration: TextDocumentDecorationProviderRegistry;
}
