"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("./providers/command");
const contribution_1 = require("./providers/contribution");
const decoration_1 = require("./providers/decoration");
const hover_1 = require("./providers/hover");
const location_1 = require("./providers/location");
/**
 * Registries is a container for all provider registries.
 *
 * @template X extension type
 * @template C configuration cascade type
 */
class Registries {
    constructor(environment) {
        this.environment = environment;
        this.commands = new command_1.CommandRegistry();
        this.contribution = new contribution_1.ContributionRegistry(this.environment.environment);
        this.textDocumentDefinition = new location_1.TextDocumentLocationProviderRegistry();
        this.textDocumentImplementation = new location_1.TextDocumentLocationProviderRegistry();
        this.textDocumentReferences = new location_1.TextDocumentLocationProviderRegistry();
        this.textDocumentTypeDefinition = new location_1.TextDocumentLocationProviderRegistry();
        this.textDocumentHover = new hover_1.TextDocumentHoverProviderRegistry();
        this.textDocumentDecoration = new decoration_1.TextDocumentDecorationProviderRegistry();
    }
}
exports.Registries = Registries;
//# sourceMappingURL=registries.js.map