"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const context_1 = require("../../protocol/context");
/**
 * Creates the CXP extension API's {@link CXP#context} value.
 *
 * @param ext The CXP extension API handle.
 * @return The {@link CXP#context} value.
 */
function createExtContext(ext) {
    return {
        updateContext: (updates) => {
            ext.rawConnection.sendNotification(context_1.ContextUpdateNotification.type, { updates });
        },
    };
}
exports.createExtContext = createExtContext;
//# sourceMappingURL=context.js.map