/// <reference types="node" />
import { Socket } from 'net';
import { Message } from '../messages';
import { AbstractMessageWriter, MessageWriter } from '../transport';
import { StreamMessageReader } from './stream';
export declare class SocketMessageReader extends StreamMessageReader {
    constructor(socket: Socket, encoding?: string);
}
export declare class SocketMessageWriter extends AbstractMessageWriter implements MessageWriter {
    private socket;
    private queue;
    private sending;
    private encoding;
    private errorCount;
    constructor(socket: Socket, encoding?: string);
    write(msg: Message): void;
    doWriteMessage(msg: Message): void;
    private handleError;
}
