/// <reference types="node" />
import { Message } from '../messages';
import { AbstractMessageReader, AbstractMessageWriter, DataCallback, MessageReader, MessageWriter } from '../transport';
export declare const CRLF = "\r\n";
export declare const ContentLength = "Content-Length: ";
export declare class StreamMessageReader extends AbstractMessageReader implements MessageReader {
    private readable;
    private callback?;
    private buffer;
    private nextMessageLength?;
    private messageToken?;
    private partialMessageTimer;
    private _partialMessageTimeout;
    constructor(readable: NodeJS.ReadableStream, encoding?: string);
    partialMessageTimeout: number;
    listen(callback: DataCallback): void;
    private onData;
    private clearPartialMessageTimer;
    private setPartialMessageTimer;
    unsubscribe(): void;
}
export declare class StreamMessageWriter extends AbstractMessageWriter implements MessageWriter {
    private writable;
    private encoding;
    private errorCount;
    constructor(writable: NodeJS.WritableStream, encoding?: string);
    write(msg: Message): void;
}
