import { MessageTransports } from '../connection';
interface MessageEvent {
    data: any;
}
interface WorkerEventMap {
    error: any;
    message: MessageEvent;
}
export interface Worker {
    postMessage(message: any): void;
    addEventListener<K extends keyof WorkerEventMap>(type: K, listener: (this: Worker, ev: WorkerEventMap[K]) => any): void;
    close?(): void;
    terminate?(): void;
}
/** Creates JSON-RPC2 message transports for the Web Worker message communication interface. */
export declare function createWebWorkerMessageTransports(worker: Worker): MessageTransports;
export {};
