"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const stream_1 = require("stream");
const stream_2 = require("../../jsonrpc2/transports/stream");
/** A bidirectional pipe. */
class TestStream extends stream_1.Duplex {
    _write(chunk, _encoding, done) {
        this.emit('data', chunk);
        done();
    }
    _read(_size) {
        /* noop */
    }
}
/**
 * Creates a pair of message transports that are connected to each other. One can be used as the server and the
 * other as the client.
 */
function createMessageTransports() {
    const up = new TestStream();
    const down = new TestStream();
    return [
        { reader: new stream_2.StreamMessageReader(up), writer: new stream_2.StreamMessageWriter(down) },
        { reader: new stream_2.StreamMessageReader(down), writer: new stream_2.StreamMessageWriter(up) },
    ];
}
exports.createMessageTransports = createMessageTransports;
//# sourceMappingURL=helpers.js.map