import { Hover, MarkedString, MarkupContent } from 'vscode-languageserver-types';
/** A hover that is merged from multiple Hover results and normalized. */
export declare type HoverMerged = Pick<Hover, Exclude<keyof Hover, 'contents'>> & {
    /** Also allows MarkupContent[]. */
    contents: (MarkupContent | MarkedString)[];
};
export declare namespace HoverMerged {
    /** Create a merged hover from the given individual hovers. */
    function from(values: (Hover | null)[]): HoverMerged | null;
    /** Reports whether the value conforms to the HoverMerged interface. */
    function is(value: any): value is HoverMerged;
}
