import { Range, TextDocumentItem } from 'vscode-languageserver-types';
import { DocumentSelector } from './document';
export declare type URI = string;
/**
 * A selection in a document. A selection is a range with direction.
 */
export interface Selection extends Readonly<Range> {
    /**
     * Whether the selection is reversed. In a reversed selection, the cursor is at the start of the range (instead
     * of the end of the range).
     */
    readonly isReversed: boolean;
}
export declare function match(selectors: DocumentSelector | IterableIterator<DocumentSelector>, document: TextDocumentItem): boolean;
/**
 * Taken from
 * https://github.com/Microsoft/vscode/blob/3d35801127f0a62d58d752bc613506e836c5d120/src/vs/editor/common/modes/languageSelector.ts#L24.
 */
export declare function score(selector: DocumentSelector, candidateUri: string, candidateLanguage: string): number;
