import { CommandRegistry } from '../../environment/providers/command';
import { MessageType as RPCMessageType } from '../../jsonrpc2/messages';
import { ClientCapabilities, ExecuteCommandRegistrationOptions, ServerCapabilities } from '../../protocol';
import { Client } from '../client';
import { DynamicFeature, RegistrationData } from './common';
/**
 * Support for the commands executed on the server by the client (workspace/executeCommand requests to the server).
 */
export declare class ExecuteCommandFeature implements DynamicFeature<ExecuteCommandRegistrationOptions> {
    private client;
    private registry;
    private commands;
    constructor(client: Client, registry: CommandRegistry);
    readonly messages: RPCMessageType;
    fillClientCapabilities(capabilities: ClientCapabilities): void;
    initialize(capabilities: ServerCapabilities): void;
    register(_message: RPCMessageType, data: RegistrationData<ExecuteCommandRegistrationOptions>): void;
    unregister(id: string): void;
    unregisterAll(): void;
}
