import { ContributionRegistry } from '../../environment/providers/contribution';
import { MessageType as RPCMessageType } from '../../jsonrpc2/messages';
import { ClientCapabilities, Contributions, ServerCapabilities } from '../../protocol';
import { DynamicFeature, RegistrationData } from './common';
/**
 * Support for user-facing features contributed by the server for use and display in the client's application.
 */
export declare class ContributionFeature implements DynamicFeature<Contributions> {
    private registry;
    private contributions;
    constructor(registry: ContributionRegistry);
    readonly messages: RPCMessageType;
    fillClientCapabilities(capabilities: ClientCapabilities): void;
    initialize(capabilities: ServerCapabilities): void;
    register(_message: RPCMessageType, data: RegistrationData<Contributions>): void;
    unregister(id: string): void;
    unregisterAll(): void;
}
