import { Observable } from 'rxjs';
import { Hover } from 'vscode-languageserver-types';
import { TextDocumentPositionParams, TextDocumentRegistrationOptions } from '../../protocol';
import { HoverMerged } from '../../types/hover';
import { FeatureProviderRegistry } from './registry';
export declare type ProvideTextDocumentHoverSignature = (params: TextDocumentPositionParams) => Promise<Hover | null>;
/** Provides hovers from all extensions. */
export declare class TextDocumentHoverProviderRegistry extends FeatureProviderRegistry<TextDocumentRegistrationOptions, ProvideTextDocumentHoverSignature> {
    getHover(params: TextDocumentPositionParams): Observable<HoverMerged | null>;
}
/**
 * Returns an observable that emits all providers' hovers whenever any of the last-emitted set of providers emits
 * hovers.
 *
 * Most callers should use TextDocumentHoverProviderRegistry's getHover method, which uses the registered hover
 * providers.
 */
export declare function getHover(providers: Observable<ProvideTextDocumentHoverSignature[]>, params: TextDocumentPositionParams): Observable<HoverMerged | null>;
