import { CommandRegistry } from './providers/command';
import { ContributionRegistry } from './providers/contribution';
import { TextDocumentDecorationProviderRegistry } from './providers/decoration';
import { TextDocumentHoverProviderRegistry } from './providers/hover';
import { TextDocumentLocationProviderRegistry } from './providers/location';
/**
 * Registries is a container for all provider registries.
 *
 * @template X extension type
 * @template C configuration cascade type
 */
export class Registries {
    constructor(environment) {
        this.environment = environment;
        this.commands = new CommandRegistry();
        this.contribution = new ContributionRegistry(this.environment.environment);
        this.textDocumentDefinition = new TextDocumentLocationProviderRegistry();
        this.textDocumentImplementation = new TextDocumentLocationProviderRegistry();
        this.textDocumentReferences = new TextDocumentLocationProviderRegistry();
        this.textDocumentTypeDefinition = new TextDocumentLocationProviderRegistry();
        this.textDocumentHover = new TextDocumentHoverProviderRegistry();
        this.textDocumentDecoration = new TextDocumentDecorationProviderRegistry();
    }
}
//# sourceMappingURL=registries.js.map