import { MessageTransports } from '../jsonrpc2/connection';
import { CXP } from './api';
/**
 * Activates a CXP extension by calling its `run` entrypoint function with the CXP API handle as the first
 * argument.
 *
 * @template C the extension's settings
 * @param transports The message reader and writer to use for communication with the client.
 * @param run The extension's `run` entrypoint function.
 * @return A promise that resolves when the extension's `run` function has been called.
 */
export declare function activateExtension<C>(transports: MessageTransports, run: (cxp: CXP<C>) => void | Promise<void>): Promise<void>;
