import { ConfigurationCascade, KeyPath } from '../../protocol';
import { Configuration, CXP, Observable } from '../api';
/**
 * Returns the source object with the given value inserted in the location specified by the key path. The source
 * object is not modified. The key path indexes into the object successively for each element in the key path.
 *
 * If the value is `undefined`, the value at the key path is removed.
 *
 * This must behave identically to {@link module:jsonc-parser.setProperty}.
 */
export declare function setValueAtKeyPath(source: any, path: KeyPath, value: any): any;
/**
 * Creates the CXP extension API's {@link CXP#configuration} value.
 *
 * @param ext The CXP extension API handle.
 * @return The {@link CXP#configuration} value.
 */
export declare function createExtConfiguration<C>(ext: Pick<CXP<C>, 'rawConnection'>, initial: ConfigurationCascade<C>): Configuration<C> & Observable<C>;
