import { ContextUpdateNotification } from '../../protocol/context';
/**
 * Creates the CXP extension API's {@link CXP#context} value.
 *
 * @param ext The CXP extension API handle.
 * @return The {@link CXP#context} value.
 */
export function createExtContext(ext) {
    return {
        updateContext: (updates) => {
            ext.rawConnection.sendNotification(ContextUpdateNotification.type, { updates });
        },
    };
}
//# sourceMappingURL=context.js.map