import { MessageTransports } from '../connection';
interface MessageEvent {
    data: string;
}
interface WebSocketEventMap {
    close: never;
    error: any;
    message: MessageEvent;
    open: {};
}
interface WebSocket {
    readonly readyState: number;
    close(code?: number, reason?: string): void;
    send(data: string): void;
    addEventListener<K extends keyof WebSocketEventMap>(type: K, listener: (this: WebSocket, ev: WebSocketEventMap[K]) => any): void;
    removeEventListener<K extends keyof WebSocketEventMap>(type: K, listener: (this: WebSocket, ev: WebSocketEventMap[K]) => any): void;
    readonly OPEN: number;
}
/** Creates JSON-RPC2 message transports for a WebSocket. */
export declare function createWebSocketMessageTransports(socket: WebSocket): Promise<MessageTransports>;
export {};
