import { RequestType } from '../jsonrpc2/messages';
/**
 * A request to list all color symbols found in a given text document. The request's
 * parameter is of type [DocumentColorParams](#DocumentColorParams) the
 * response is of type [ColorInformation[]](#ColorInformation) or a Thenable
 * that resolves to such.
 */
export var DocumentColorRequest;
(function (DocumentColorRequest) {
    DocumentColorRequest.type = new RequestType('textDocument/documentColor');
})(DocumentColorRequest || (DocumentColorRequest = {}));
/**
 * A request to list all presentation for a color. The request's
 * parameter is of type [ColorPresentationParams](#ColorPresentationParams) the
 * response is of type [ColorInformation[]](#ColorInformation) or a Thenable
 * that resolves to such.
 */
export var ColorPresentationRequest;
(function (ColorPresentationRequest) {
    ColorPresentationRequest.type = new RequestType('textDocument/colorPresentation');
})(ColorPresentationRequest || (ColorPresentationRequest = {}));
//# sourceMappingURL=color.js.map