import { NotificationType, RequestType } from '../jsonrpc2/messages';
/**
 * The configuration/update request, which the server sends to the client to update the client's configuration.
 */
export var ConfigurationUpdateRequest;
(function (ConfigurationUpdateRequest) {
    ConfigurationUpdateRequest.type = new RequestType('configuration/update');
})(ConfigurationUpdateRequest || (ConfigurationUpdateRequest = {}));
/**
 * The 'workspace/configuration' request is sent from the server to the client to fetch a certain
 * configuration setting.
 */
export var ConfigurationRequest;
(function (ConfigurationRequest) {
    ConfigurationRequest.type = new RequestType('workspace/configuration');
})(ConfigurationRequest || (ConfigurationRequest = {}));
/**
 * The configuration change notification is sent from the client to the server
 * when the client's configuration has changed. The notification contains
 * the changed configuration as defined by the language client.
 */
export var DidChangeConfigurationNotification;
(function (DidChangeConfigurationNotification) {
    DidChangeConfigurationNotification.type = new NotificationType('workspace/didChangeConfiguration');
})(DidChangeConfigurationNotification || (DidChangeConfigurationNotification = {}));
//# sourceMappingURL=configuration.js.map