import { Client, ClientState } from '../client/client';
/** Reports the client's current state. */
export declare function getClientState(client: Client): ClientState;
/**
 * Returns a Promise that resolves when the client enters ClientState.Active and rejects if it enters a client
 * state that indicates an error.
 */
export declare function clientStateIsActive(client: Client): Promise<void>;
/**
 * Returns a Promise that resolves when the client enters the given client state and rejects if it enters one of
 * the reject states.
 */
export declare function clientStateIs(client: Client, resolveState: ClientState, rejectStates?: ClientState[]): Promise<ClientState>;
/** Returns a promise that resolves with the value after the given delay (in milliseconds). */
export declare function delayed<T>(value: T, msec: number): Promise<T>;
