import { Duplex } from 'stream';
import { StreamMessageReader, StreamMessageWriter } from '../../jsonrpc2/transports/stream';
/** A bidirectional pipe. */
class TestStream extends Duplex {
    _write(chunk, _encoding, done) {
        this.emit('data', chunk);
        done();
    }
    _read(_size) {
        /* noop */
    }
}
/**
 * Creates a pair of message transports that are connected to each other. One can be used as the server and the
 * other as the client.
 */
export function createMessageTransports() {
    const up = new TestStream();
    const down = new TestStream();
    return [
        { reader: new StreamMessageReader(up), writer: new StreamMessageWriter(down) },
        { reader: new StreamMessageReader(down), writer: new StreamMessageWriter(up) },
    ];
}
//# sourceMappingURL=helpers.js.map